d13davis

737NGX Installation for Prepar3D v3.4.22.19868 on WIN10

Recommended Posts

Hello,

I am completely new to PMDG and have bought the B737 NGX base package today. I tried to install it and the error message came up as:

An outdated version of Prepar3D v3 has been detected. Before you can install this PMDG product you will need to update Prepar3D.

This problem has probably come up for many others but somehow typing in the search bar I could not find anything. I updated Prepar3D because the first time it was actually not up to date. Now it is and yet it still comes out to the same thing. I've restarted the computer and even followed this YouTube video of changing the registry.

Still nothing changed. Could anyone help me? Should I completely deinstall Prepar3D and reinstall it?

Thanks in advance,

Daniel Davis 

Share this post


Link to post
Share on other sites
Help AVSIM continue to serve you!
Please donate today!

What version P3D do you have?  I'm not sure why you are editing P3Dv2 registry entries.  I think the PMDG products require P3Dv3.2 or later, v3.4 preferred.  If you are not familiar with the registry you might consider leaving it alone.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now